Home | History | Annotate | Download | only in runtime-po
      1 # Makefile for PO directory in any package using GNU gettext.
      2 # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper (a] gnu.ai.mit.edu>
      3 #
      4 # This file can be copied and used freely without restrictions.  It can
      5 # be used in projects which are not available under the GNU General Public
      6 # License but which still want to provide support for the GNU gettext
      7 # functionality.
      8 # Please note that the actual code of GNU gettext is covered by the GNU
      9 # General Public License and is *not* in the public domain.
     10 #
     11 # Origin: gettext-0.18
     12 GETTEXT_MACRO_VERSION = 0.18
     13 
     14 PACKAGE = @PACKAGE@
     15 VERSION = @VERSION@
     16 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
     17 
     18 SHELL = /bin/sh
     19 @SET_MAKE@
     20 
     21 srcdir = @srcdir@
     22 top_srcdir = @top_srcdir@
     23 VPATH = @srcdir@
     24 
     25 prefix = @prefix@
     26 exec_prefix = @exec_prefix@
     27 datarootdir = @datarootdir@
     28 datadir = @datadir@
     29 localedir = @localedir@
     30 gettextsrcdir = $(datadir)/gettext/po
     31 
     32 INSTALL = @INSTALL@
     33 INSTALL_DATA = @INSTALL_DATA@
     34 
     35 # We use $(mkdir_p).
     36 # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
     37 # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
     38 # @install_sh@ does not start with $(SHELL), so we add it.
     39 # In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
     40 # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
     41 # versions, $(mkinstalldirs) and $(install_sh) are unused.
     42 mkinstalldirs = $(SHELL) @install_sh@ -d
     43 install_sh = $(SHELL) @install_sh@
     44 MKDIR_P = @MKDIR_P@
     45 mkdir_p = @mkdir_p@
     46 
     47 GMSGFMT_ = @GMSGFMT@
     48 GMSGFMT_no = @GMSGFMT@
     49 GMSGFMT_yes = @GMSGFMT_015@
     50 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
     51 MSGFMT_ = @MSGFMT@
     52 MSGFMT_no = @MSGFMT@
     53 MSGFMT_yes = @MSGFMT_015@
     54 MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
     55 XGETTEXT_ = @XGETTEXT@
     56 XGETTEXT_no = @XGETTEXT@
     57 XGETTEXT_yes = @XGETTEXT_015@
     58 XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
     59 MSGMERGE = msgmerge
     60 MSGMERGE_UPDATE = @MSGMERGE@ --update
     61 MSGINIT = msginit
     62 MSGCONV = msgconv
     63 MSGFILTER = msgfilter
     64 
     65 POFILES = @POFILES@
     66 GMOFILES = @GMOFILES@
     67 UPDATEPOFILES = @UPDATEPOFILES@
     68 DUMMYPOFILES = @DUMMYPOFILES@
     69 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
     70 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
     71 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
     72 $(POFILES) $(GMOFILES) \
     73 $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
     74 
     75 POTFILES = \
     76 
     77 CATALOGS = @CATALOGS@
     78 
     79 # Makevars gets inserted here. (Don't remove this line!)
     80 
     81 .SUFFIXES:
     82 .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
     83 
     84 .po.mo:
     85 	@echo "$(MSGFMT) -c -o $@ $<"; \
     86 	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
     87 
     88 .po.gmo:
     89 	@lang=`echo $* | sed -e 's,.*/,,'`; \
     90 	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
     91 	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
     92 	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
     93 
     94 .sin.sed:
     95 	sed -e '/^#/d' $< > t-$@
     96 	mv t-$@ $@
     97 
     98 
     99 all: all-@USE_NLS@
    100 
    101 all-yes: stamp-po
    102 all-no:
    103 
    104 # Ensure that the gettext macros and this Makefile.in.in are in sync.
    105 CHECK_MACRO_VERSION = \
    106 	test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
    107 	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
    108 	       exit 1; \
    109 	     }
    110 
    111 # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
    112 # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
    113 # we don't want to bother translators with empty POT files). We assume that
    114 # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
    115 # In this case, stamp-po is a nop (i.e. a phony target).
    116 
    117 # stamp-po is a timestamp denoting the last time at which the CATALOGS have
    118 # been loosely updated. Its purpose is that when a developer or translator
    119 # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
    120 # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
    121 # invocations of "make" will do nothing. This timestamp would not be necessary
    122 # if updating the $(CATALOGS) would always touch them; however, the rule for
    123 # $(POFILES) has been designed to not touch files that don't need to be
    124 # changed.
    125 stamp-po: $(srcdir)/$(DOMAIN).pot
    126 	@$(CHECK_MACRO_VERSION)
    127 	test ! -f $(srcdir)/$(DOMAIN).pot || \
    128 	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
    129 	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
    130 	  echo "touch stamp-po" && \
    131 	  echo timestamp > stamp-poT && \
    132 	  mv stamp-poT stamp-po; \
    133 	}
    134 
    135 # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
    136 # otherwise packages like GCC can not be built if only parts of the source
    137 # have been downloaded.
    138 
    139 # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
    140 # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
    141 $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
    142 	if LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
    143 	  package_gnu='GNU '; \
    144 	else \
    145 	  package_gnu=''; \
    146 	fi; \
    147 	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
    148 	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
    149 	else \
    150 	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
    151 	fi; \
    152 	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
    153 	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
    154 	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
    155 	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
    156 	      --files-from=$(srcdir)/POTFILES.in \
    157 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
    158 	      --msgid-bugs-address="$$msgid_bugs_address" \
    159 	    ;; \
    160 	  *) \
    161 	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
    162 	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
    163 	      --files-from=$(srcdir)/POTFILES.in \
    164 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
    165 	      --package-name="$${package_gnu}@PACKAGE@" \
    166 	      --package-version='@VERSION@' \
    167 	      --msgid-bugs-address="$$msgid_bugs_address" \
    168 	    ;; \
    169 	esac
    170 	test ! -f $(DOMAIN).po || { \
    171 	  if test -f $(srcdir)/$(DOMAIN).pot; then \
    172 	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
    173 	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
    174 	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
    175 	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
    176 	    else \
    177 	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
    178 	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
    179 	    fi; \
    180 	  else \
    181 	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
    182 	  fi; \
    183 	}
    184 
    185 # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
    186 # every "make" invocation, only create it when it is missing.
    187 # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
    188 $(srcdir)/$(DOMAIN).pot:
    189 	$(MAKE) $(DOMAIN).pot-update
    190 
    191 # This target rebuilds a PO file if $(DOMAIN).pot has changed.
    192 # Note that a PO file is not touched if it doesn't need to be changed.
    193 $(POFILES): $(srcdir)/$(DOMAIN).pot
    194 	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
    195 	if test -f "$(srcdir)/$${lang}.po"; then \
    196 	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
    197 	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
    198 	  cd $(srcdir) \
    199 	    && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
    200 	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
    201 	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
    202 	           *) \
    203 	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
    204 	         esac; \
    205 	       }; \
    206 	else \
    207 	  $(MAKE) $${lang}.po-create; \
    208 	fi
    209 
    210 
    211 install: install-exec install-data
    212 install-exec:
    213 install-data: install-data-@USE_NLS@
    214 	if test "$(PACKAGE)" = "gettext-tools"; then \
    215 	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
    216 	  for file in $(DISTFILES.common) Makevars.template; do \
    217 	    $(INSTALL_DATA) $(srcdir)/$$file \
    218 			    $(DESTDIR)$(gettextsrcdir)/$$file; \
    219 	  done; \
    220 	  for file in Makevars; do \
    221 	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
    222 	  done; \
    223 	else \
    224 	  : ; \
    225 	fi
    226 install-data-no: all
    227 install-data-yes: all
    228 	@catalogs='$(CATALOGS)'; \
    229 	for cat in $$catalogs; do \
    230 	  cat=`basename $$cat`; \
    231 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
    232 	  dir=$(localedir)/$$lang/LC_MESSAGES; \
    233 	  $(mkdir_p) $(DESTDIR)$$dir; \
    234 	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
    235 	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
    236 	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
    237 	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
    238 	    if test -n "$$lc"; then \
    239 	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
    240 	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
    241 	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
    242 	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
    243 	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
    244 	         for file in *; do \
    245 	           if test -f $$file; then \
    246 	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
    247 	           fi; \
    248 	         done); \
    249 	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
    250 	      else \
    251 	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
    252 	          :; \
    253 	        else \
    254 	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
    255 	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
    256 	        fi; \
    257 	      fi; \
    258 	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
    259 	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
    260 	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
    261 	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
    262 	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
    263 	    fi; \
    264 	  done; \
    265 	done
    266 
    267 install-strip: install
    268 
    269 install-dvi install-html install-info install-pdf install-ps:
    270 installdirs: installdirs-exec installdirs-data
    271 installdirs-exec:
    272 installdirs-data: installdirs-data-@USE_NLS@
    273 	if test "$(PACKAGE)" = "gettext-tools"; then \
    274 	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
    275 	else \
    276 	  : ; \
    277 	fi
    278 installdirs-data-no:
    279 installdirs-data-yes:
    280 	@catalogs='$(CATALOGS)'; \
    281 	for cat in $$catalogs; do \
    282 	  cat=`basename $$cat`; \
    283 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
    284 	  dir=$(localedir)/$$lang/LC_MESSAGES; \
    285 	  $(mkdir_p) $(DESTDIR)$$dir; \
    286 	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
    287 	    if test -n "$$lc"; then \
    288 	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
    289 	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
    290 	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
    291 	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
    292 	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
    293 	         for file in *; do \
    294 	           if test -f $$file; then \
    295 	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
    296 	           fi; \
    297 	         done); \
    298 	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
    299 	      else \
    300 	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
    301 	          :; \
    302 	        else \
    303 	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
    304 	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
    305 	        fi; \
    306 	      fi; \
    307 	    fi; \
    308 	  done; \
    309 	done
    310 
    311 # Define this as empty until I found a useful application.
    312 installcheck:
    313 
    314 uninstall: uninstall-exec uninstall-data
    315 uninstall-exec:
    316 uninstall-data: uninstall-data-@USE_NLS@
    317 	if test "$(PACKAGE)" = "gettext-tools"; then \
    318 	  for file in $(DISTFILES.common) Makevars.template; do \
    319 	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
    320 	  done; \
    321 	else \
    322 	  : ; \
    323 	fi
    324 uninstall-data-no:
    325 uninstall-data-yes:
    326 	catalogs='$(CATALOGS)'; \
    327 	for cat in $$catalogs; do \
    328 	  cat=`basename $$cat`; \
    329 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
    330 	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
    331 	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
    332 	  done; \
    333 	done
    334 
    335 check: all
    336 
    337 info dvi ps pdf html tags TAGS ctags CTAGS ID:
    338 
    339 mostlyclean:
    340 	rm -f remove-potcdate.sed
    341 	rm -f stamp-poT
    342 	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
    343 	rm -fr *.o
    344 
    345 clean: mostlyclean
    346 
    347 distclean: clean
    348 	rm -f Makefile Makefile.in POTFILES *.mo
    349 
    350 maintainer-clean: distclean
    351 	@echo "This command is intended for maintainers to use;"
    352 	@echo "it deletes files that may require special tools to rebuild."
    353 	rm -f stamp-po $(GMOFILES)
    354 
    355 distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
    356 dist distdir:
    357 	$(MAKE) update-po
    358 	@$(MAKE) dist2
    359 # This is a separate target because 'update-po' must be executed before.
    360 dist2: stamp-po $(DISTFILES)
    361 	dists="$(DISTFILES)"; \
    362 	if test "$(PACKAGE)" = "gettext-tools"; then \
    363 	  dists="$$dists Makevars.template"; \
    364 	fi; \
    365 	if test -f $(srcdir)/$(DOMAIN).pot; then \
    366 	  dists="$$dists $(DOMAIN).pot stamp-po"; \
    367 	fi; \
    368 	if test -f $(srcdir)/ChangeLog; then \
    369 	  dists="$$dists ChangeLog"; \
    370 	fi; \
    371 	for i in 0 1 2 3 4 5 6 7 8 9; do \
    372 	  if test -f $(srcdir)/ChangeLog.$$i; then \
    373 	    dists="$$dists ChangeLog.$$i"; \
    374 	  fi; \
    375 	done; \
    376 	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
    377 	for file in $$dists; do \
    378 	  if test -f $$file; then \
    379 	    cp -p $$file $(distdir) || exit 1; \
    380 	  else \
    381 	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
    382 	  fi; \
    383 	done
    384 
    385 update-po: Makefile
    386 	$(MAKE) $(DOMAIN).pot-update
    387 	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
    388 	$(MAKE) update-gmo
    389 
    390 # General rule for creating PO files.
    391 
    392 .nop.po-create:
    393 	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
    394 	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
    395 	exit 1
    396 
    397 # General rule for updating PO files.
    398 
    399 .nop.po-update:
    400 	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
    401 	if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
    402 	tmpdir=`pwd`; \
    403 	echo "$$lang:"; \
    404 	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
    405 	echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
    406 	cd $(srcdir); \
    407 	if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
    408 	       '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
    409 	         $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
    410 	       *) \
    411 	         $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
    412 	     esac; \
    413 	   }; then \
    414 	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
    415 	    rm -f $$tmpdir/$$lang.new.po; \
    416 	  else \
    417 	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
    418 	      :; \
    419 	    else \
    420 	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
    421 	      exit 1; \
    422 	    fi; \
    423 	  fi; \
    424 	else \
    425 	  echo "msgmerge for $$lang.po failed!" 1>&2; \
    426 	  rm -f $$tmpdir/$$lang.new.po; \
    427 	fi
    428 
    429 $(DUMMYPOFILES):
    430 
    431 update-gmo: Makefile $(GMOFILES)
    432 	@:
    433 
    434 # Recreate Makefile by invoking config.status. Explicitly invoke the shell,
    435 # because execution permission bits may not work on the current file system.
    436 # Use @SHELL@, which is the shell determined by autoconf for the use by its
    437 # scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
    438 Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
    439 	cd $(top_builddir) \
    440 	  && @SHELL@ ./config.status $(subdir)/$@.in po-directories
    441 
    442 force:
    443 
    444 # Tell versions [3.59,3.63) of GNU make not to export all variables.
    445 # Otherwise a system limit (for SysV at least) may be exceeded.
    446 .NOEXPORT:
    447